---
# handlers file for ansible-mpv
- name: Restart systemd user units for mpv players
  systemd:
    name: "mpv-{{ player.id }}.service"
    state: restarted
    daemon_reload: yes
    scope: user
  become_user: "{{ interactive_user.name }}"
  environment:
    XDG_RUNTIME_DIR: "/run/user/{{ interactive_user.id }}"
    DBUS_SESSION_BUS_ADDRESS: "unix:path=/run/user/{{ interactive_user.id }}/bus"
  listen: restart_mpv_player
  with_items: "{{ mpv_instances }}"
  loop_control:
    loop_var: player

- name: Restart systemd user units for mpv controllers
  systemd:
    name: "mpv-udp-{{ controller.id }}.service"
    state: restarted
    daemon_reload: yes
    scope: user
  become_user: "{{ interactive_user.name }}"
  environment:
    XDG_RUNTIME_DIR: "/run/user/{{ interactive_user.id }}"
    DBUS_SESSION_BUS_ADDRESS: "unix:path=/run/user/{{ interactive_user.id }}/bus"
  listen: restart_mpv_controller
  with_items: "{{ mpv_controllers }}"
  loop_control:
    loop_var: controller
